Name:           scirenderer
Version:        1.1.0
Release:        1%{?dist}
Summary:        A Java rendering library based on JoGL

License:        CeCILL
URL:            http://forge.scilab.org/index.php/p/scirenderer
Source0:        http://forge.scilab.org/index.php/p/scirenderer/downloads/get/%{name}-%{version}.tar.gz

BuildRequires:  java-devel
BuildRequires:  jpackage-utils

BuildRequires:  ant
BuildRequires:  jogl2
BuildRequires:  jlatexmath

Requires:       java
Requires:       jpackage-utils
Requires:       jogl2
Requires:       jlatexmath

BuildArch:      noarch

%description
This Java API allows 2-D or 3-D plotting from simple 2-D graph to complex
scenes.
Independent library and used within Scilab software but is
available for other application and developments.

%package javadoc
Summary:        API Documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

# Update path according to the Fedora Guidelines
tee scirenderer-libs.properties << EOF
jogl2.jar=%{_jnidir}/jogl2.jar
gluegen2-rt.jar=%{_jnidir}/gluegen2-rt.jar
jlatexmath.jar=%{_javadir}/jlatexmath.jar
EOF

# fix file-not-utf8
iconv -f ISO_8859-15 -t UTF-8 -o COPYING.utf8 COPYING
mv COPYING.utf8 COPYING

# fix class-path-in-manifest
sed -i '/Class-Path/I d' build.xml

%build
ant jar doc

%install
mkdir -p %{buildroot}%{_javadir}
cp -pr jar/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%doc README
%doc COPYING
%doc CHANGES

%files javadoc
%{_javadocdir}/%{name}
%doc README
%doc COPYING
%doc CHANGES

%changelog
* Fri Mar 29 2013 Clément David <c.david86@gmail.com> - 1.1.0-1
- Update version to 1.1.0

* Wed Mar 20 2013 Clément David <c.david86@gmail.com> - 1.0.7-1
- Update version to 1.0.7

* Mon Feb 25 2013 Clément David <c.david86@gmail.com> - 1.0.6-1
- Update version

* Fri Jan 25 2013 Clément David <c.david86@gmail.com> - 1.0.5-1
- Update version to 1.0.5

* Thu Jan 17 2013 Clément David <c.david86@gmail.com> - 1.0.4-2
- Update version

* Thu Jan 03 2013 Clément David <c.david86@gmail.com> - 1.0.3-1
- Update version

* Mon Dec 03 2012 Clément David <c.david86@gmail.com> - 1.0.2-4
- use noarch (undo the previous change)
- avoid using %%{libdir} on a noarch package

* Wed Nov 28 2012 Clément David <c.david86@gmail.com> - 1.0.2-3
- remove noarch to pass the build (f19 and f18)

* Fri Nov 16 2012 Clément David <c.david86@gmail.com> - 1.0.2-2
- Use tee instead of cat to print out the jar path
- rebuilt

* Tue Oct 02 2012 Clément David <c.david86@gmail.com> - 1.0.2-1
- Update version

* Tue Sep 18 2012 Clément David <c.david86@gmail.com> - 0.5.8-1
- Update version to support jogl2
- Fix the Javadoc package

* Thu Apr 12 2012 Clément David <c.david86@gmail.com> - 0.3.5-2
- Fix the Javadoc package

* Wed Apr 11 2012 Clément David <c.david86@gmail.com> - 0.3.5-1
- Initial package

